package com.fs.qw.param;


import lombok.Data;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;


public class SopExternalContactInfo {
    private String createTime;
    private String tagIds;
    private String remark;
    private Integer level;

    public SopExternalContactInfo(String createTime, String tagIds,String remark,Integer level) {
        this.createTime = createTime != null ? createTime : "无进线时间";
        this.tagIds = (tagIds != null && !tagIds.equals("[]")) ? tagIds : "无标签";
        this.remark = remark != null ? remark : "无备注";
        this.level = level != null ? level : 0;
    }

    public String getCreateTime() {
        return createTime;
    }

    public String getTagIds() {
        return tagIds;
    }

    public String getRemark() {
        return remark;
    }
    public Integer getLevel() {return level;
    }
}
